.TH cobe 1 "Nov 2011" "cobe 2.0.2" "User Commands"
.SH NAME
cobe \- Markov chain based text generator library and chatbot
.SH SYNOPSIS
.B cobe
[\fI\-h\fR] [\fI\-b BRAIN\fR] [\fI\-\-instatrace FILE\fR] \fIcommand\fR
.SH DESCRIPTION
cobe is a Markov chain based text generator, it uses Markov modeling to generate
text responses after learning from input text. cobe use an on-disk data store
(brain database) for low memory usage.
The cobe command line tool can be used for interacting with a brain database.
.SS OPTIONS
.TP 2
\fB\-h\fR, \fB\-\-help\fR
Show the help message and exit.
.TP
\fB\-b\fR BRAIN, \fB\-\-brain\fR BRAIN
Use BRAIN as brain database.
.TP
\fB\-\-instatrace\fR FILE
Log performance statistics to FILE.
.SS COMMANDS
.TP 2
\fBconsole\fR
Start an interactive console.
.TP
\fBinit\fR
Initialize a new brain.
.TP
\fBirc-client\fR
Start an IRC client.
.TP
\fBlearn\fR
Learn a file of text.
.TP
\fBlearn-irc-log\fR
Learn a file of IRC log text.
.TP
\fBset-stemmer\fR
Configure a stemmer.
.TP
\fBdel-stemmer\fR
Delete the stemmer.
.P
Run `cobe command \-h' to access the built-in documentation of each command.
.SH AUTHOR
Peter Teichman <peter@teichman.org>
.PP
This manual page was written by Daniele Tricoli <eriol@mornie.org>, for the
Debian project (but may be used by others).
